/* ==============================
   FV（ヘッダー＋KV）
   ============================== */
.fv {
	width: 100%;
	position: relative;
	isolation: isolate;
	overflow: hidden;
}

.fv__container {
	width: var(--container-w);
	max-width: var(--container-w);
	margin: 0 auto;
}

.header {
	height: var(--header-h);
	background-color: var(--color-accent);
	display: flex;
	align-items: center;
	padding-left: 12px;
}

.logo { height: 40px;}

.kv {
	position: relative;
	width: 100%;
	height: calc(var(--fv-h) - var(--header-h));
}

@media (max-width: 809px) {
	.header { padding-left: 6px;}
}

/* タグライン */
.tagline_txt {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	z-index: 2;
	padding: 138px 20px 24px;
	text-align: center;
	display: flex;
	flex-direction: column;
}

.tagline_txt .hotel-logo {
	margin-inline: auto;
}

.tagline_txt p {
	color: var(--color-text_light);
	font-size: 32px;
	font-family: 'Zen Old Mincho', serif;
	font-weight: 500;
	line-height: 1.6;
	letter-spacing: .06em;
}
.fv.is-kv-animated {
	position: relative;
	isolation: isolate;
	--header-h: 60px;
	--fv-h: 590px;
}

.fv.is-kv-animated::before {
	content: none !important;
}

.fv.is-kv-animated .fv__container {
	position: relative;
	z-index: 1;
}

.fv.is-kv-animated .kv {
	height: calc(var(--fv-h) - var(--header-h));
	background: none;
}

.fv.is-kv-animated .kv::after { z-index: 2;}

@media (max-width: 809px) {
	.fv.is-kv-animated .kv {
		height: calc(482px - var(--header-h));
	}
	.tagline_txt { padding: 128px 20px 24px;}
	.tagline_txt p { font-size: 22px;}
}

/* ===== スライド本体（FV直下） ===== */
.fv.is-kv-animated .fv__slides {
	position: absolute;
	inset: 0;
	z-index: 0;
	pointer-events: none;
}

.fv.is-kv-animated .slide .fg {
	position: absolute;
	top: var(--header-h);
	left: 50%;
	height: calc(var(--fv-h) - var(--header-h));
	width: var(--container-w);
	max-width: var(--container-w);
	transform: translateX(-50%);
	overflow: hidden;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	z-index: 1;
}
.fv.is-kv-animated .slide .fg::after {
	content: "";
	position: absolute;
	inset: 0;
	pointer-events: none;
	z-index: 3;
}

.tagline_txt { z-index: 4;}
